com.tibbo.aggregate.common.query

## Class FieldDescriptor

- java.lang.Object
- - com.tibbo.aggregate.common.query.FieldDescriptor

-     public class FieldDescriptor
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FieldDescriptor(java.lang.String columnName, java.lang.String tableName, java.lang.String name, java.lang.String description, TypeMapper.Type type, boolean isPrimaryKey)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getColumnName()`
    `java.lang.String` | `getFieldDescription()`
    `java.lang.String` | `getFieldName()`
    `FieldFormat` | `getFormat()`
    `java.lang.String` | `getTableName()`
    `TypeMapper.Type` | `getType()`
    `boolean` | `isPrimaryKey()`
    `void` | `setFormat(FieldFormat format)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FieldDescriptor

          public FieldDescriptor(java.lang.String columnName,
                                 java.lang.String tableName,
                                 java.lang.String name,
                                 java.lang.String description,
                                 TypeMapper.Type type,
                                 boolean isPrimaryKey)

  - ### Method Detail

    - #### getColumnName

          public java.lang.String getColumnName()

    - #### getFieldName

          public java.lang.String getFieldName()

    - #### getFieldDescription

          public java.lang.String getFieldDescription()

    - #### getType

          public TypeMapper.Type getType()

    - #### getFormat

          public FieldFormat getFormat()

    - #### getTableName

          public java.lang.String getTableName()

    - #### setFormat

          public void setFormat(FieldFormat format)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### isPrimaryKey

          public boolean isPrimaryKey()